package ticket

import "github.com/sashabaranov/go-openai"

var Role = map[MessageProvider]string{
	MessageProvider_EmailMessageProvider: openai.ChatMessageRoleUser,
	MessageProvider_ChatMessageProvider:  openai.ChatMessageRoleUser,
	MessageProvider_GptMessageProvider:   openai.ChatMessageRoleAssistant,
	MessageProvider_ApiMessageProvider:   openai.ChatMessageRoleSystem,
	MessageProvider_FunctionProvider:     openai.ChatMessageRoleFunction,
}
